Subject: Re: [PATCH 0/3] add a message-id header to git

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Thu, 16 Oct 2025 22:31:05 +0200

On Thu, Oct 16, 2025, at 22:10, James Bottomley wrote:
> On Thu, 2025-10-16 at 21:26 +0200, Kristoffer Haugsbakk wrote:
>> On Thu, Oct 16, 2025, at 20:57, James Bottomley wrote:
>> > There has been some debate in the kernel community about how to
>> > link
>> > commits back to email, which is the basis of a lot of scripting we
>> > do
>> >
>> > https://lore.kernel.org/ksummit/[email-masked]/
>> >[snip]
>>
>> Related discussions: “Change-ID”:
>>
>>[snip]
>
> So this is a different beast from change-id.  Change-id is used to
> track the same change across different commits in a fully git based
> workflow ... and in that workflow a message-id wouldn't exist because
> there's really no email based interaction.  The reason email projects
> need the message-id is so that all of the ci type tooling we have can
> link a commit back to the email it came from (so tip bots use it to
> reply when the commit is accepted and things).  In an email based
> workflow there's not really such a thing as a global change-id and so
> the two proposals are pretty orthogonal.

They are not related in the sense that they mean the same thing.  They
are related in the sense that parts of the discussion is about using a
commit header to implement the idea.

Thanks